/** @typedef {typeof __propDef.props}  SelectOptionProps */
/** @typedef {typeof __propDef.events}  SelectOptionEvents */
/** @typedef {typeof __propDef.slots}  SelectOptionSlots */
export default class SelectOption extends SvelteComponentTyped<{
    value?: string | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {
    default: {};
}> {
}
export type SelectOptionProps = typeof __propDef.props;
export type SelectOptionEvents = typeof __propDef.events;
export type SelectOptionSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        value?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export {};
