import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        title?: string | undefined;
        description?: string | undefined;
        borderRadius?: boolean | undefined;
        isCloseable?: boolean | undefined;
    };
    events: {
        close: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
        icon: {};
        title: {};
        description: {};
        closeable: {};
    };
};
export declare type AlertProps = typeof __propDef.props;
export declare type AlertEvents = typeof __propDef.events;
export declare type AlertSlots = typeof __propDef.slots;
export default class Alert extends SvelteComponentTyped<AlertProps, AlertEvents, AlertSlots> {
}
export {};
