import type { TThemeType } from '../types/TThemeType';
import type { TAlignItems } from '../types/TAlignItems';
import type { TJustifyContent } from '../types/TJustifyContent';
import type { TThemeBorderStyle } from '../types/TThemeBorderStyle';
import type { TThemeBorderRadius } from '../types/TThemeBorderRadius';
export interface IGetTheme {
    theme: TThemeType;
    themeHover: TThemeType;
    themeColor: TThemeType;
    themeColorHover: TThemeType;
    themeActive: TThemeType;
    themeColorActive: TThemeType;
    themeBorder: TThemeType;
    themeBorderHover: TThemeType;
    themeBorderStyle: TThemeBorderStyle;
    themeBorderRadius: TThemeBorderRadius;
    padding: number;
    margin: number;
    marginBottom: number;
    alignItems: TAlignItems;
    justifyContent: TJustifyContent;
    shadow: boolean;
    disabled: boolean;
}
