import { SvelteComponentTyped } from "svelte";
import type { TInputType } from '../../../types/TInputType';
declare const __propDef: {
    props: {
        [x: string]: any;
        placeholder?: string | undefined;
        name?: string | undefined;
        autofocus?: boolean | undefined;
        type?: TInputType | undefined;
        disabled?: boolean | undefined;
        readonly?: boolean | undefined;
        transparent?: boolean | undefined;
        value?: string | undefined;
        min?: number | undefined;
        max?: number | undefined;
    };
    events: {
        '*': MouseEvent | UIEvent | Event | SubmitEvent | ClipboardEvent | AnimationEvent | InputEvent | FocusEvent | CompositionEvent | DragEvent | ErrorEvent | FormDataEvent | PointerEvent | KeyboardEvent | ProgressEvent<EventTarget> | SecurityPolicyViolationEvent | TouchEvent | TransitionEvent | WheelEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type InputProps = typeof __propDef.props;
export declare type InputEvents = typeof __propDef.events;
export declare type InputSlots = typeof __propDef.slots;
export default class Input extends SvelteComponentTyped<InputProps, InputEvents, InputSlots> {
}
export {};
