import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        value: number;
        min: number;
        max: number;
    };
    events: {
        '*': MouseEvent | UIEvent | Event | SubmitEvent | ClipboardEvent | AnimationEvent | InputEvent | FocusEvent | CompositionEvent | DragEvent | ErrorEvent | FormDataEvent | PointerEvent | KeyboardEvent | ProgressEvent<EventTarget> | SecurityPolicyViolationEvent | TouchEvent | TransitionEvent | WheelEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type RangeProps = typeof __propDef.props;
export declare type RangeEvents = typeof __propDef.events;
export declare type RangeSlots = typeof __propDef.slots;
export default class Range extends SvelteComponentTyped<RangeProps, RangeEvents, RangeSlots> {
}
export {};
