export const classNames = (className, obj = {}, classNameExtra = '') => {
    return Object.entries(obj).reduce((total, [key, value]) => {
        if (!value)
            return total;
        return [
            ...total,
            typeof value === 'boolean' ? `${key}` : `${key}-${value}`
        ];
    }, [className, classNameExtra]).join(' ');
};
